Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoinAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoinAuxiliary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoinAuxiliary.cs	(revision 51)
@@ -0,0 +1,1744 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmConstructionJoin
+    {
+
+        #region 部署コンボより担当者コードを取得する
+        /// <summary>
+        /// 部署コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDepartmentCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbDepartment.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボより担当者コードを取得する
+        /// <summary>
+        /// 担当者コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetConstructionPersonCode()
+        {
+            try
+            {
+                // 表示されていない場合は選択無
+                //if (!cmbConstructionPerson.Visible) return 0;
+
+                return CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region コンボボックス初期表示
+        /// <summary>
+        /// コンボボックス初期表示
+        /// </summary>
+        private void InitCombBox()
+        {
+            try
+            {
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    InitCombBox_OLD();
+                }
+                else
+                {
+                    InitCombBox_NEW();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コンボボックス初期表示（旧）
+        /// <summary>
+        /// コンボボックス初期表示（旧）
+        /// </summary>
+        private void InitCombBox_OLD()
+        {
+            try
+            {
+                // システム権限によってデータアクセスに制限がある
+                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement
+                || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key
+                || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key
+                || CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision)
+                {
+                    // システム管理者
+                    // 最高機密管理者
+                    // 統括機密管理者
+                    // 総務部所属者は全て見える
+
+                    // 部署・担当者コンボ表示
+                    DispAllCombBoxControl(true);
+                }
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                {
+                    // 所属長
+                    // 部署コンボ非表示
+                    NonDispDepCombBox();
+                }
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                {
+                    // 一般使用者（自分のみアクセス可能）
+                    // 部署・担当者コンボ非表示
+                    DispAllCombBoxControl(false);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コンボボックス初期表示（新）
+        /// <summary>
+        /// コンボボックス初期表示（新）
+        /// </summary>
+        private void InitCombBox_NEW()
+        {
+            try
+            {
+                int AllPath = (int)CommonDefine.SecurityRangePos.AllPath;           // 全部署
+                int Multiple = (int)CommonDefine.SecurityRangePos.Multiple;         // 複数部署
+                int Only = (int)CommonDefine.SecurityRangePos.Only;                 // 自部署のみ
+                int None = (int)CommonDefine.SecurityRangePos.None;                 // 自担当者のみ
+
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                    || CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[AllPath].Key)
+                {
+                    // 部署・担当者コンボ表示
+                    DispAllCombBoxControl(true);
+                }
+                else
+                {
+                    if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[Multiple].Key)
+                    {
+                        // 部署・担当者コンボ表示
+                        DispAllCombBoxControl(true);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[Only].Key)
+                    {
+                        // 部署コンボ非表示
+                        NonDispDepCombBox();
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[None].Key)
+                    {
+                        // 部署・担当者コンボ表示
+                        DispAllCombBoxControl(false);
+                    }
+                }
+
+                // 総務業務使用者がログインしている場合はコンボを空白にする
+                if (CommonMotions.LoginUserSecurity.GeneralAffairs == (int)CommonDefine.GeneralAffairs.GeneralDep) return;
+
+                // 初期設定対象がコンボボックスデータにあればセットする
+                for (int i = 0; i < cmbDepartment.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
+                    if (wrkPair.Key == CommonMotions.LoginUserData.DepartmentCode)
+                    {
+                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                    }
+                }
+
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == CommonMotions.LoginUserData.PersonCode)
+                    {
+                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスの非表示処理
+        /// <summary>
+        /// 部署コンボボックスの非表示処理
+        /// </summary>
+        private void NonDispDepCombBox()
+        {
+            try
+            {
+                // 部署コンボ非表示
+                label12.Visible = false;
+                cmbDepartment.Visible = false;
+
+                // 表示位置のセット
+                Point loc13 = label13.Location;
+                loc13.X = label12.Location.X;
+                label13.Location = loc13;
+
+                Point loc4 = cmbConstructionPerson.Location;
+                loc4.X = label13.Location.X + label13.Width + 10;
+                cmbConstructionPerson.Location = loc4;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 全コンボボックス表示をON/OFFする
+        /// <summary>
+        /// 全コンボボックス表示をON/OFFする
+        /// </summary>
+        private void DispAllCombBoxControl(bool bDsp)
+        {
+            try
+            {
+                // 部署・担当者コンボ非表示
+                label12.Visible = bDsp;
+                cmbDepartment.Visible = bDsp;
+                label13.Visible = bDsp;
+                cmbConstructionPerson.Visible = bDsp;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスをセットする
+        /// <summary>
+        /// 部署コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcmbDepartment()
+        {
+            IOMDepartment depDB = new IOMDepartment();
+            bool bSave = m_bInitFlag;
+            m_bInitFlag = true;
+            try
+            {
+
+                cmbDepartment.DataSource = null;
+                cmbDepartment.Items.Clear();
+                cmbDepartment.Text = "";
+
+                string strSQL = string.Empty;
+                // 部署マスタを検索する
+                strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                strSQL += " WHERE A.DELETEFLG = 0";
+
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    // システム権限によってデータアクセスに制限がある
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
+                        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                    {
+                        // 所属長
+                        // 一般使用者（自分のみアクセス可能）
+                        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                    }
+                }
+                else
+                {
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    {
+
+                    }
+                    else
+                    {
+                        // 参照部署マスタより取得する
+                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    }
+                }
+                strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
+                strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
+                strSQL += " ORDER BY A.DISPLAYORDER ASC";
+
+                // 部署マスタ読込
+                ArrayList arList = new ArrayList();
+                if (!depDB.ExecuteReader(strSQL, ref arList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (object[] work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(CommonMotions.cnvInt(work[0])
+                                                                                    , CommonMotions.cnvString(work[1]));
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
+
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    // 総務部所属者以外
+                    if (CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
+                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                }
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                depDB.close(); depDB = null;
+                m_bInitFlag = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスをセットする
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcmbPersons()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+            bool bSave = m_bInitFlag;
+            m_bInitFlag = true;
+            try
+            {
+                cmbConstructionPerson.DataSource = null;
+                cmbConstructionPerson.Items.Clear();
+                cmbConstructionPerson.Text = "";
+
+                string strSQL = string.Empty;
+                int DepartmentCode = GetDepartmentCode();
+                if (DepartmentCode == 0)
+                    strSQL = " WHERE DELETEFLG = 0 ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC";
+                else
+                    strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DELETEFLG = 0 ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC", DepartmentCode);
+
+                // 担当者マスタ読込
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (PersonInChargeMaster work in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.PersonCode, work.PersonName);
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, ConstructionDataList);
+
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
+                    if (CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
+                    {
+                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                    }
+                }
+
+                return;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                m_bInitFlag = bSave;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスセット時部署をセットする
+        /// <summary>
+        /// 担当者コンボボックスセット時部署をセットする
+        /// </summary>
+        /// <returns></returns>
+        private bool SetPerosonToDepartment()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // コンボボックスより選択担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode < 1) return false;
+
+                int DepartmentCode = GetDepartmentCode();
+
+                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+
+                // 部署コンボボックスへ部署コードセット
+                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                {
+                    bool bSave = m_bInitFlag;
+                    m_bInitFlag = true;
+                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                    SetcmbPersons();    // 担当者コンボボックス変更
+                    cmbConstructionPerson.SelectedValue = PersonCode;
+                    m_bInitFlag = bSave;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
+        #region 初期営業期セット
+        /// <summary>
+        /// 初期営業期セット
+        /// </summary>
+        private void SetnumUD()
+        {
+            try
+            {
+                // 検索年度セット
+                // データにある事業期と現在の事業セット
+                int minval = 0;
+                int maxval = 0;
+                CommonMotions.GetPeriodYear(ref minval, ref maxval);
+                numUDConstPro.Minimum = minval;
+                numUDConstPro.Maximum = maxval;
+                numUDConstPro.Value = CommonMotions.SystemMasterData.BusinessPeriod;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region DB読込順
+        /// <summary>
+        /// DB読込順
+        /// </summary>
+        private enum ReadDBColumn
+        {
+            ConstructionCode = 0,
+            DetailString,
+            OrderersDivision,
+            OrderersCode,
+            OrderersName1,
+            OrderersName2,
+            ConstructionStatusFlg,
+        }
+        #endregion
+
+        #region 初期表示処理
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                dgvMaster.Rows.Clear();
+
+                int depCode = GetDepartmentCode();
+                int personCode = GetConstructionPersonCode();
+
+                if (personCode == 0 || depCode == 0)
+                {
+                    btnSerchWork.Enabled = false;
+                    return;
+                }
+                else
+                {
+                    btnSerchWork.Enabled = true;
+                }
+
+                string strSQL = string.Empty;
+                int StatusCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+
+                // ----- 工事結合の場合
+                // 対象全ての案件を検索する
+                strSQL = "SELECT DISTINCT A.CONSTRUCTIONCODE";
+                strSQL += ", B.DETAILSTRING";
+                strSQL += ", A.ORDERERSDIVISION";
+                strSQL += ", A.ORDERERSCODE";
+                strSQL += ", D.ORDERERSNAME1";
+                strSQL += ", D.ORDERERSNAME2";
+                strSQL += ", A.CONSTRUCTIONSTATUSFLG";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C, ORDERERSMASTER D";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONSTATUSFLG <> {0}", StatusCode);
+                strSQL += string.Format(" AND (A.CONSTRUCTIONPERIOD = {0})", numUDConstPro.Value);
+                strSQL += string.Format(" AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE AND B.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strSQL += string.Format(" AND A.TYINGFLG != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                strSQL += string.Format(" AND A.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.Standard);
+                if (cmbConstructionPerson.Text.Length != 0)
+                {
+                    strSQL += string.Format(" AND (A.CONSTRUCTIONPERSONCODE = {0})", GetConstructionPersonCode());
+                }
+                else
+                {
+                    if (depCode != 0) strSQL += string.Format(" AND (C.DEPARTMENTCODE = {0})", depCode);
+                }
+
+                strSQL += " AND (C.PERSONCODE = A.SALESPERSONCODE";
+                strSQL += " Or C.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
+                strSQL += " Or C.PERSONCODE = A.CONSTRSUBPERSONCODE";
+                strSQL += " Or C.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR)";
+                strSQL += " AND D.ORDERCOTEGORY = A.ORDERERSDIVISION AND D.ORDERERSCODE = A.ORDERERSCODE";
+                strSQL += " ORDER BY B.DETAILSTRING ASC, A.CONSTRUCTIONCODE DESC";
+
+                ArrayList BaseList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref BaseList)) return;
+                if (BaseList.Count == 0) return;
+
+                // 要素表示
+                int i = 1;
+                string strStatus = string.Empty;
+                foreach (object[] wrk in BaseList)
+                {
+                    // データ表示
+                    int ConstructionCode = CommonMotions.cnvInt(wrk[(int)ReadDBColumn.ConstructionCode]);
+                    string EditConstructionCode = string.Format("{0}-{1:D2}", (ConstructionCode / 100), (ConstructionCode % 100));
+                    strStatus = CommonDefine.ProjectsStatus[CommonMotions.cnvInt(wrk[(int)ReadDBColumn.ConstructionStatusFlg])];
+                    dgvMaster.Rows.Add(i++,
+                                        EditConstructionCode,
+                                        CommonMotions.cnvString(wrk[(int)ReadDBColumn.DetailString]),
+                                        strStatus,
+                                        CommonMotions.cnvString(wrk[(int)ReadDBColumn.OrderersName1]) + " " + CommonMotions.cnvString(wrk[(int)ReadDBColumn.OrderersName2]),
+                                        false,
+                                        CommonMotions.cnvInt(wrk[(int)ReadDBColumn.OrderersDivision]),
+                                        CommonMotions.cnvInt(wrk[(int)ReadDBColumn.OrderersCode]),
+                                        CommonMotions.cnvInt(wrk[(int)ReadDBColumn.ConstructionStatusFlg]));
+                    //dgvMaster.Rows[i++].Cells[(int)DispGridColumn.ConstructionName].ToolTipText = CommonMotions.cnvString(wrk[1]);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+                if (dgvMaster.RowCount < 10) dgvMaster.RowCount += (10 - dgvMaster.Rows.Count);
+
+            }
+        }
+        #endregion
+
+        #region 結合工事名称選択
+        /// <summary>
+        /// 結合工事名称選択
+        /// </summary>
+        /// <param name="RowCnt"></param>
+        private void SetConstruction(bool FirstFlg)
+        {
+            FrmConstructionDiag frm = new FrmConstructionDiag();
+            try
+            {
+                // 発注者コンボボックス値取得
+                if (!FirstFlg && m_OrdererCode == 0) return;
+
+                // 工事担当者検索
+                frm.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+
+                frm.ProcessNo = (int)ClsExcute.ProcessExecuteNo.OrderJoin;
+                frm.PersonCode = GetConstructionPersonCode();
+
+                frm.ShowDialog();
+                // 終了コード確認
+                if (frm.EndButton == DialogResult.No) return;
+
+                bool bCheck = true;
+                if (m_OrderersDivision != 0 && m_OrderersDivision != frm.OrderCotegory) bCheck = false;
+                if (m_OrdererCode != 0 && m_OrdererCode != frm.OrdererCode) bCheck = false;
+                if (!bCheck)
+                {
+                    MessageBox.Show("発注先が違います。", "選択エラー", MessageBoxButtons.OK);
+                    tvDispData.Nodes.Clear();
+                    return;
+                }
+
+                // ------ 結合先工事情報表示
+                m_ConstructionCode = frm.ConstructionCode;
+                m_ConstructionName = frm.ConstructionName;
+                m_OrderersDivision = frm.OrderCotegory;
+                m_OrdererCode = frm.OrdererCode;
+
+                // 選択データ表示
+                DisplaySelectData();
+
+                // 行動タイプセット
+                m_ProcessType = (int)ProcessAction.LinkAdd;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 工事リンク情報取得処理
+        /// <summary>
+        /// 工事リンク情報取得処理
+        /// </summary>
+        /// <param name="ConstrCode"></param>
+        private void GetLinkData(int SearchCode, ref ArrayList LinkList, bool JoinFlg = true)
+        {
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            try
+            {
+                // 結合情報を検索する
+                string strSQL = "SELECT A.CONSTRUCTIONCODE, C.DETAILSTRING, B.CONSTRUCTIONCODE, B.DETAILSTRING";
+                strSQL += " FROM CONSTRUCTIONLINK A";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFODETAIL B ON B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
+                strSQL += string.Format(" AND B.DETAILNO = {0}", (int)IOConstructionBaseInfoDetail.TableColumn.DETAIL_STRING);
+                strSQL += " , CONSTRUCTIONBASEINFODETAIL C";
+
+                if (JoinFlg)
+                {
+                    strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", SearchCode);
+                    strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                }
+                else
+                {
+                    strSQL += string.Format(" WHERE (A.CONSTRUCTIONCODE = {0} OR A.FLUCTUATIONCODE = {0})", SearchCode);
+                    strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                }
+                strSQL += " AND C.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND C.DETAILNO = {0}", (int)IOConstructionBaseInfoDetail.TableColumn.DETAIL_STRING);
+                strSQL += " ORDER BY A.FLUCTUATIONCODE";
+                LinkDB.ExecuteReader(strSQL, ref LinkList);
+
+                return;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                LinkDB.close(); LinkDB = null;
+            }
+        }
+        #endregion
+
+        #region チェックボックス変化時のチェック
+        /// <summary>
+        /// チェックボックス変化時のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool GridRowCheck(int OrderDiv, int OrderCode)
+        {
+            try
+            {
+                int CurOrderDiv = 0;
+                int CurOrderCode = 0;
+                bool bNoneError = true;
+                foreach (DataGridViewRow ReadRow in dgvMaster.Rows)
+                {
+                    // 無効行は処理しない
+                    string strWork = CommonMotions.cnvString(ReadRow.Cells[(int)DispGridColumn.ConstructionCode].Value);
+                    if (strWork == string.Empty) continue;
+
+                    // Offは処理しない
+                    if (ReadRow.Cells[(int)DispGridColumn.JoinCheck].Value == null) continue;
+                    if (!(bool)ReadRow.Cells[(int)DispGridColumn.JoinCheck].Value) continue;
+
+                    CurOrderDiv = CommonMotions.cnvInt(ReadRow.Cells[(int)DispGridColumn.OrderersDivision].Value);
+                    CurOrderCode = CommonMotions.cnvInt(ReadRow.Cells[(int)DispGridColumn.OrderersCode].Value);
+
+                    // 発注先が同じ場合は次行をチェックする
+                    if (OrderDiv == CurOrderDiv && OrderCode == CurOrderCode) continue;
+
+                    // 発注先が違う場合はエラー
+                    bNoneError = false;
+                }
+
+                if (bNoneError)
+                {
+                    m_OrderersDivision = CurOrderDiv;
+                    m_OrdererCode = CurOrderCode;
+                }
+
+                return bNoneError;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 選択データ表示
+        /// <summary>
+        /// 選択データ表示
+        /// </summary>
+        /// <param name="ConstrCode"></param>
+        private void DisplaySelectData()
+        {
+            // treeViewクリア
+            tvDispData.Nodes.Clear();
+            try
+            {
+                ArrayList LinkList = new ArrayList();
+                // 結合情報を検索する
+                GetLinkData(m_ConstructionCode, ref  LinkList);
+                if (LinkList.Count == 0) return;
+
+                object[] curRec = (object[])LinkList[0];
+                tvDispData.Nodes.Add(string.Format("{0}：{1}"
+                                                    , CommonMotions.cnvStringCodeFromInt(CommonMotions.cnvInt(curRec[0]), "-", 8)
+                                                    , CommonMotions.cnvString(curRec[1])));
+                int i = -1;
+                int CurCode = 0;
+                string CurName = string.Empty;
+                string DispData = string.Empty;
+                int FCode = 0;
+                string FName = string.Empty;
+                string FDispData = string.Empty;
+                foreach (object[] LowRec in LinkList)
+                {
+                    // 構成データ追加
+                    CurCode = CommonMotions.cnvInt(LowRec[2]);
+                    CurName = CommonMotions.cnvString(LowRec[3]);
+                    DispData = string.Format("{0}：{1}", CommonMotions.cnvStringCodeFromInt(CurCode, "-", 8), CurName);
+                    tvDispData.Nodes[0].Nodes.Add(DispData);
+                    i++;
+
+                    // 増減データ追加
+                    ArrayList LowList = new ArrayList();
+                    // 結合情報を検索する
+                    GetLinkData(CurCode, ref  LowList, false);
+                    if (LowList.Count == 0) continue;
+
+                    foreach (object[] FRec in LowList)
+                    {
+                        FCode = CommonMotions.cnvInt(FRec[2]);
+                        FName = CommonMotions.cnvString(FRec[3]);
+                        FDispData = string.Format("{0}：{1}", CommonMotions.cnvStringCodeFromInt(FCode, "-", 8), FName);
+                        tvDispData.Nodes[0].Nodes[i].Nodes.Add(FDispData);
+                    }
+                    tvDispData.Nodes[0].Nodes[i].Expand();
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            // treeView表示
+            tvDispData.TopNode.Expand();
+        }
+        #endregion
+
+        #region 新規結合作成
+        /// <summary>
+        /// 新規結合作成
+        /// </summary>
+        private void NewOrdererCreate()
+        {
+            FrmJoinSelect frm = new FrmJoinSelect();
+            try
+            {
+                m_ConstructionName = string.Empty;
+
+                // 選択された工事名を取得する
+                frm.NameList.Clear();
+                foreach (DataGridViewRow CurRow in dgvMaster.Rows)
+                {
+                    if (CurRow.Cells[(int)DispGridColumn.JoinCheck].Value == null) continue;
+                    if (!(bool)CurRow.Cells[(int)DispGridColumn.JoinCheck].Value) continue;
+                    frm.NameList.Add(CommonMotions.cnvString(CurRow.Cells[(int)DispGridColumn.ConstructionName].Value));
+                }
+
+                frm.OrderersDivision = m_OrderersDivision;  // 発注者区分
+                frm.OrdererCode = m_OrdererCode;            // 発注者番号
+                frm.ShowDialog();
+                if (frm.Result == DialogResult.Cancel) return;
+
+                m_ConstructionName = frm.ConstructionName;  // 新規工事名称
+
+                // ツリービュークリア
+                tvDispData.Nodes.Clear();
+
+                tvDispData.Nodes.Add(string.Format("{0}：{1}", "-----------", m_ConstructionName));
+
+                // 行動タイプセット
+                m_ProcessType = (int)ProcessAction.NewCreate;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 実行前チェック処理
+        /// <summary>
+        /// 実行前チェック処理
+        /// </summary>
+        /// <returns></returns>
+        private bool DataCheck()
+        {
+            try
+            {
+                // エラーチェック
+                if (!GridRowCheck(m_OrderersDivision, m_OrdererCode))
+                {
+                    MessageBox.Show("発注先が違います。", "選択エラー", MessageBoxButtons.OK);
+                    return false;
+                }
+
+                int SelCount = 0;
+                foreach (DataGridViewRow CurRow in dgvMaster.Rows)
+                {
+                    // 選択されていないものは処理しない
+                    if (CurRow.Cells[(int)DispGridColumn.JoinCheck].Value == null) continue;
+                    if (!(bool)CurRow.Cells[(int)DispGridColumn.JoinCheck].Value) continue;
+
+                    SelCount++;
+                }
+                if (SelCount == 0)
+                {
+                    MessageBox.Show("データが選択されていません。", "選択エラー", MessageBoxButtons.OK);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+            finally
+            {
+            }
+        }
+        #endregion
+
+        #region 結合処理実行
+        /// <summary>
+        /// 結合処理実行
+        /// </summary>
+        private bool JoinData()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            IOConstructionBaseInfoDetail DetailDB = new IOConstructionBaseInfoDetail();
+            IOConstructionLink LinkDB = new IOConstructionLink();
+            IOConstructionLedger LedgerDB = new IOConstructionLedger();
+            IOConstructionLedgerDetail LedgerDDB = new IOConstructionLedgerDetail();
+            IOConstructionLedgerExcute ExcuteDB = new IOConstructionLedgerExcute();
+            IOCostDataOfPerson CostDataDB = new IOCostDataOfPerson();
+
+            IODailyDataConstruction DailyData1 = new IODailyDataConstruction();
+            IODailyDataDetail DailyData2 = new IODailyDataDetail();
+            IODailyDataVehicles DailyData3 = new IODailyDataVehicles();
+            IODailyDataMaterials DailyData4 = new IODailyDataMaterials();
+            IODailyDataSubcontractors DailyData5 = new IODailyDataSubcontractors();
+            IODailyDataField DailyData6 = new IODailyDataField();
+            try
+            {
+                // DB接続
+                BaseDB.connect(); BaseDB.beginTran();
+                DetailDB.connect(); DetailDB.beginTran();
+                LinkDB.connect(); LinkDB.beginTran();
+                LedgerDB.connect(); LedgerDB.beginTran();
+                LedgerDDB.connect(); LedgerDDB.beginTran();
+                ExcuteDB.connect(); ExcuteDB.beginTran();
+                CostDataDB.connect(); CostDataDB.beginTran();
+
+                DailyData1.connect(); DailyData1.beginTran();
+                DailyData2.connect(); DailyData2.beginTran();
+                DailyData3.connect(); DailyData3.beginTran();
+                DailyData4.connect(); DailyData4.beginTran();
+                DailyData5.connect(); DailyData5.beginTran();
+                DailyData6.connect(); DailyData6.beginTran();
+
+                List<int> DateCodeList = new List<int>();           // 対象コードリスト
+                if (m_ProcessType == (int)ProcessAction.NewCreate)
+                {   // ----- 新規結合作成
+                    if (!NewJoinDataCreate(BaseDB, DetailDB, LinkDB, ref DateCodeList))
+                    {
+                        BaseDB.rollback();
+                        DetailDB.rollback();
+                        LinkDB.rollback();
+                        MessageBox.Show("結合工事情報作成に失敗しました。", "工事情報作成エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+
+                    // 工事詳細台帳を作成するためにここでコミット
+                    BaseDB.commit();
+                    DetailDB.commit();
+                    LinkDB.commit();
+
+                    // 結合工事進捗更新
+                    if (!ClsChangeBaseInfoData.SetParentConstrStatus(BaseDB, m_ConstructionCode))
+                    {
+                        MessageBox.Show("結合工事情報の施工状態更新に失敗しました。", "工事情報更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        // エラー時工事情報を削除する
+                        JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                        return false;
+                    }
+
+                    // ----- 工事台帳作成
+                    // 工事詳細台帳データ作成
+                    if (!ClsChangeLedgerData.MakingLedgerData(m_ConstructionCode))
+                    {
+                        MessageBox.Show("結合工事詳細台帳作成に失敗しました。", "台帳作成エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        // エラー時工事情報を削除する
+                        JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                        return false;
+                    }
+
+                    // 工事詳細台帳データ追加
+                    if (!ClsChangeLedgerData.MakeJoinForBudgetData(m_ConstructionCode, DateCodeList))
+                    {
+                        MessageBox.Show("結合工事詳細台帳追加に失敗しました。", "台帳作成エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        // エラー時工事情報を削除する
+                        JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                        return false;
+                    }
+                }
+                else
+                {   // ----- 結合工事追加
+                    if (!JionDataAdditional(BaseDB, DetailDB, LinkDB, LedgerDB, ref DateCodeList))
+                    {
+                        BaseDB.rollback();
+                        DetailDB.rollback();
+                        LinkDB.rollback();
+                        MessageBox.Show("結合工事情報更新に失敗しました。", "工事情報更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+
+                    // 工事詳細台帳を作成するためにここでコミット
+                    BaseDB.commit();
+                    DetailDB.commit();
+                    LinkDB.commit();
+
+                    // 結合工事進捗更新
+                    if (!ClsChangeBaseInfoData.SetParentConstrStatus(BaseDB, m_ConstructionCode))
+                    {
+                        MessageBox.Show("結合工事情報の施工状態更新に失敗しました。", "工事情報更新エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        // エラー時工事情報を削除する
+                        JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                        return false;
+                    }
+
+                    // 工事詳細台帳データ追加
+                    if (!ClsChangeLedgerData.MakeJoinForBudgetData(m_ConstructionCode, DateCodeList))
+                    {
+                        MessageBox.Show("結合工事詳細台帳追加に失敗しました。", "台帳作成エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                        // エラー時工事情報を削除する
+                        JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                        return false;
+                    }
+                }
+
+                // 
+                // 日報結合
+                if (!JoiningDairyData(DateCodeList, DailyData1, DailyData2, DailyData3, DailyData4, DailyData5, DailyData6))
+                {
+                    MessageBox.Show("工事日報結合処理に失敗しました。", "日報結合エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                    // エラー時工事情報を削除する
+                    JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                    ClsChangeLedgerData.PseudoRollBackForBudgetData(m_ConstructionCode, DateCodeList);
+
+                    return false;
+                }
+                // 購入品結合
+                if (!JoinCostData(DateCodeList, CostDataDB))
+                {
+                    MessageBox.Show("交通費・購入品結合処理に失敗しました。", "交通費・購入品結合エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                    // エラー時工事情報を削除する
+                    JoinRollBackDataProc(BaseDB, DetailDB, LinkDB, LedgerDB, LedgerDDB, ExcuteDB, DateCodeList, m_ConstructionCode);
+                    ClsChangeLedgerData.PseudoRollBackForBudgetData(m_ConstructionCode, DateCodeList);
+                    DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback(); DailyData6.rollback();
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+            finally
+            {
+                BaseDB.commit();
+                DetailDB.commit();
+                LinkDB.commit();
+                LedgerDB.commit();
+                LedgerDDB.commit();
+                ExcuteDB.commit();
+                CostDataDB.commit();
+
+                DailyData1.commit();
+                DailyData2.commit();
+                DailyData3.commit();
+                DailyData4.commit();
+                DailyData5.commit();
+                DailyData6.commit();
+
+                BaseDB.close(); BaseDB = null;
+                DetailDB.close(); DetailDB = null;
+                LinkDB.close(); LinkDB = null;
+                LedgerDB.close(); LedgerDB = null;
+                LedgerDDB.close(); LedgerDDB = null;
+                ExcuteDB.close(); ExcuteDB = null;
+                CostDataDB.close(); CostDataDB = null;
+
+                DailyData1.close(); DailyData1 = null;
+                DailyData2.close(); DailyData2 = null;
+                DailyData3.close(); DailyData3 = null;
+                DailyData4.close(); DailyData4 = null;
+                DailyData5.close(); DailyData5 = null;
+                DailyData6.close(); DailyData6 = null;
+            }
+        }
+        #endregion
+
+        #region 処理失敗時RollBack処理
+        /// <summary>
+        /// 処理失敗時RollBack処理
+        /// </summary>
+        private void JoinRollBackDataProc(IOConstructionBaseInfo BaseDB,
+                                        IOConstructionBaseInfoDetail DetailDB,
+                                        IOConstructionLink LinkDB,
+                                        IOConstructionLedger LedgerDB,
+                                        IOConstructionLedgerDetail LedgerDDB,
+                                        IOConstructionLedgerExcute ExcuteDB,
+                                        List<int> DateCodeList,
+                                        int ConstructionCode)
+        {
+            try
+            {
+                for (int i = 0; i < DateCodeList.Count; i++)
+                {
+                    // ----- 工事情報を結合から基に変更する
+                    if (!BaseDB.UpdateFeild(DateCodeList[i]
+                                            , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
+                                            , (int)CommonDefine.BaseInfoJoinFlg.Standard, false)) return;
+                }
+
+                // エラー時工事情報を削除する
+                string strSQL = BaseDB.CreatePrimarykeyString(ConstructionCode);
+                BaseDB.DeleteAction(strSQL, false);
+                DetailDB.DeleteAction(strSQL, false);
+                LinkDB.DeleteAction(strSQL, false);
+
+                LedgerDB.DeleteAction(strSQL, false);
+                LedgerDDB.DeleteAction(strSQL, false);
+                ExcuteDB.DeleteAction(strSQL, false);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+            }
+        }
+        #endregion
+
+        #region 新規工事番号作成
+        /// <summary>
+        /// 新規工事番号作成
+        /// </summary>
+        /// <returns></returns>
+        private int CreateNewCode()
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                int PeriodValue = 0;
+                if (CommonMotions.SystemMasterData.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+                {   // ----- 営業期ベースの時
+                    // 期数をセット
+                    PeriodValue = CommonMotions.SystemMasterData.BusinessPeriod;
+                }
+                else
+                {   // ----- 営業年度ベースの時
+
+                    // 営業年をセット
+                    PeriodValue = CommonMotions.SystemMasterData.ConstructionYear;
+                }
+                // 工事番号を作成する
+                return BaseDB.CreateNewCounstructionCode(PeriodValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
+        #region 新規結合作成
+        /// <summary>
+        /// 新規結合作成
+        /// </summary>
+        /// <returns></returns>
+        private bool NewJoinDataCreate(IOConstructionBaseInfo BaseDB,
+                                        IOConstructionBaseInfoDetail DetailDB,
+                                        IOConstructionLink LinkDB,
+                                        ref List<int> DateCodeList)
+        {
+            try
+            {
+                // 新規工事番号を作成する
+                m_ConstructionCode = CreateNewCode();
+
+                // 一番最初に作成された工事を取得する
+                int SaveCode = int.MaxValue;
+                int SaveStatus = int.MinValue;
+                int WorkCode = 0;
+                int WorkStatus = 0;
+                string strWork = string.Empty;
+                string strFluction = string.Empty;
+                List<ConstructionLink> LinkList = new List<ConstructionLink>();
+                foreach (DataGridViewRow CurRow in dgvMaster.Rows)
+                {
+                    // 選択されていないものは処理しない
+                    if (CurRow.Cells[(int)DispGridColumn.JoinCheck].Value == null) continue;
+                    if (!(bool)CurRow.Cells[(int)DispGridColumn.JoinCheck].Value) continue;
+
+                    // ----- 工程が一番先に進んでいる一番小さい工事番号を取得する
+                    strWork = CommonMotions.cnvString(CurRow.Cells[(int)DispGridColumn.ConstructionCode].Value).Replace("-", "");
+                    if (strWork == string.Empty) continue;
+                    WorkCode = CommonMotions.cnvInt(strWork);
+                    WorkStatus = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.Status].Value);
+                    if (SaveCode > WorkCode && SaveStatus < WorkStatus)
+                    {
+                        SaveCode = WorkCode;
+                        SaveStatus = WorkStatus;
+                    }
+
+                    // ----- 工事情報を結合へ変更する
+                    if (!BaseDB.UpdateFeild(WorkCode
+                                            , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
+                                            , (int)CommonDefine.BaseInfoJoinFlg.JoinChildren, false)) return false;
+                    // 工事番号を退避する
+                    DateCodeList.Add(WorkCode);
+
+                    // ----- リンク情報を作成する
+                    ConstructionLink LinkRec = new ConstructionLink();
+                    LinkRec.ConstructionCode = m_ConstructionCode;
+                    LinkRec.FluctuationCode = WorkCode;
+                    LinkRec.LinkType = (int)CommonDefine.LinkDataType.JoinType;
+                    if (!LinkDB.InsertAction(LinkRec, false)) return false;
+
+                    // 下位に増減工事があるかを確認する
+                    strFluction = LinkDB.CreatePrimarykeyString(WorkCode);
+                    strFluction += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                    LinkList.Clear();
+                    if (!LinkDB.SelectAction(strFluction, ref LinkList, false)) continue;
+                    if (LinkList.Count == 0) continue;
+                    foreach (ConstructionLink CurLinkRec in LinkList)
+                    {
+                        // あれば結合フラグをONにする
+                        if (!BaseDB.UpdateFeild(CurLinkRec.FluctuationCode
+                                                , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
+                                                , (int)CommonDefine.BaseInfoJoinFlg.JoinChildren, false)) return false;
+                    }
+                }
+                if (SaveCode == int.MaxValue) return false;
+
+                // 施工期間を取得する
+                DateTime SDate = DateTime.MaxValue;
+                DateTime CDate = DateTime.MinValue;
+                GetConstructionDate(BaseDB, DateCodeList, ref SDate, ref CDate);
+
+                // ------ 一番最初に作成された工事から結合工事情報を作成する
+                // まず削除
+                string strSQL = BaseDB.CreatePrimarykeyString(m_ConstructionCode);
+                BaseDB.DeleteAction(strSQL, false);
+                DetailDB.DeleteAction(strSQL, false);
+
+                // 工事情報をコピーで作成
+                if (!BaseDB.RecordCopyAction(SaveCode, m_ConstructionCode, false)) return false;
+                // 増減フラグOFF
+                if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.TyingFlg
+                                        , (int)CommonDefine.BaseInfoTyingFlg.Standard, false)) return false;
+                // 結合フラグON
+                if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.JoinFlg
+                                        , (int)CommonDefine.BaseInfoJoinFlg.JoinParent, false)) return false;
+                // 契約工期開始
+                if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.ConstructionPeriodStart
+                                        , SDate, false)) return false;
+                // 契約工期完了
+                if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.ConstructionPeriodEnd
+                                        , CDate, false)) return false;
+
+                // 工事情報明細をコピーで作成
+                if (!DetailDB.RecordCopyAction(SaveCode, m_ConstructionCode, false)) return false;
+                // 名前変更
+                if (!DetailDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfoDetail.TableColumn.DETAIL_STRING
+                                            , m_ConstructionName, false, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 契約工期取得
+        /// <summary>
+        /// 契約工期取得
+        /// </summary>
+        private void GetConstructionDate(IOConstructionBaseInfo BaseDB, List<int> DateCodeList, ref DateTime SDate, ref DateTime CDate)
+        {
+            try
+            {
+                string strGetDate = string.Empty;
+                for (int ix = 0; ix < 4; ix++)
+                {
+                    strGetDate = "SELECT";
+                    switch (ix)
+                    {
+                        case 0:
+                            strGetDate += " MIN(ConstructionPeriodStart)";
+                            break;
+                        case 1:
+                            strGetDate += " MIN(ConstructionPeriodStart2)";
+                            break;
+                        case 2:
+                            strGetDate += " MAX(ConstructionPeriodEnd)";
+                            break;
+                        case 3:
+                            strGetDate += " MAX(ConstructionPeriodEnd2)";
+                            break;
+                    }
+
+                    strGetDate += " FROM CONSTRUCTIONBASEINFO";
+                    strGetDate += " WHERE CONSTRUCTIONCODE IN (";
+
+                    for (int i = 0; i < DateCodeList.Count; i++)
+                    {
+                        if (i != 0) strGetDate += ",";
+                        strGetDate += string.Format(" {0}", DateCodeList[i]);
+                    }
+                    strGetDate += ")";
+
+                    switch (ix)
+                    {
+                        case 0:
+                            //strGetDate += string.Format(" AND ConstructionPeriodStart != TO_DATE('{0}','YYYY/MM/DD')", DateTime.MinValue.ToShortDateString());
+                            strGetDate += string.Format(" AND ConstructionPeriodStart != STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
+                            break;
+                        case 1:
+                            //strGetDate += string.Format(" AND ConstructionPeriodStart2 != TO_DATE('{0}','YYYY/MM/DD')", DateTime.MinValue.ToShortDateString());
+                            strGetDate += string.Format(" AND ConstructionPeriodStart2 != STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
+                            break;
+                        case 2:
+                            //strGetDate += string.Format(" AND ConstructionPeriodEnd != TO_DATE('{0}','YYYY/MM/DD')", DateTime.MinValue.ToShortDateString());
+                            strGetDate += string.Format(" AND ConstructionPeriodEnd != STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
+                            break;
+                        case 3:
+                            //strGetDate += string.Format(" AND ConstructionPeriodEnd2 != TO_DATE('{0}','YYYY/MM/DD')", DateTime.MinValue.ToShortDateString());
+                            strGetDate += string.Format(" AND ConstructionPeriodEnd2 != STR_TO_DATE('{0}','%Y/%m/%d')", DateTime.MinValue.ToShortDateString());
+                            break;
+                    }
+
+                    ArrayList DateArray = new ArrayList();
+                    BaseDB.ExecuteReader(strGetDate, ref DateArray, false);
+
+                    object[] DataObj = (object[])DateArray[0];
+
+                    DateTime workDT;
+                    switch (ix)
+                    {
+                        case 0:
+                            SDate = CommonMotions.cnvDate(DataObj[0]);
+                            break;
+                        case 1:
+                            workDT = CommonMotions.cnvDate(DataObj[0]);
+                            if (workDT != DateTime.MinValue && SDate > workDT) SDate = workDT;
+                            break;
+                        case 2:
+                            CDate = CommonMotions.cnvDate(DataObj[0]);
+                            break;
+                        case 3:
+                            workDT = CommonMotions.cnvDate(DataObj[0]);
+                            if (workDT != DateTime.MinValue && CDate < workDT) CDate = workDT;
+                            break;
+                    }
+
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+            }
+        }
+        #endregion
+
+        #region 結合データ作成前処理
+        /// <summary>
+        /// 結合データ作成前処理
+        /// </summary>
+        /// <returns></returns>
+        private bool JionDataAdditional(IOConstructionBaseInfo BaseDB,
+                                        IOConstructionBaseInfoDetail DetailDB,
+                                        IOConstructionLink LinkDB,
+                                        IOConstructionLedger LedgerDB,
+                                        ref List<int> DateCodeList)
+        {
+            try
+            {
+                // 一番最初に作成された工事を取得する
+                int WorkCode = 0;
+                string strWork = string.Empty;
+                foreach (DataGridViewRow CurRow in dgvMaster.Rows)
+                {
+                    // 選択されていないものは処理しない
+                    if (CurRow.Cells[(int)DispGridColumn.JoinCheck].Value == null) continue;
+                    if (!(bool)CurRow.Cells[(int)DispGridColumn.JoinCheck].Value) continue;
+
+                    // ----- 対象工事コードを取得する
+                    strWork = CommonMotions.cnvString(CurRow.Cells[(int)DispGridColumn.ConstructionCode].Value).Replace("-", "");
+                    if (strWork == string.Empty) continue;
+                    WorkCode = CommonMotions.cnvInt(strWork);
+
+                    // ----- 工事情報を結合へ変更する
+                    if (!BaseDB.UpdateFeild(WorkCode
+                                            , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
+                                            , (int)CommonDefine.BaseInfoJoinFlg.JoinChildren, false)) return false;
+                    // 工事番号を退避する
+                    DateCodeList.Add(WorkCode);
+
+                    // ----- リンク情報を作成する
+                    ConstructionLink LinkRec = new ConstructionLink();
+                    LinkRec.ConstructionCode = m_ConstructionCode;
+                    LinkRec.FluctuationCode = WorkCode;
+                    LinkRec.LinkType = (int)CommonDefine.LinkDataType.JoinType;
+                    if (!LinkDB.InsertAction(LinkRec, false)) return false;
+                }
+                if (DateCodeList.Count == 0) return false;
+
+                // 施工期間を取得する
+                DateTime SDate = DateTime.MaxValue;
+                DateTime CDate = DateTime.MinValue;
+                GetConstructionDate(BaseDB, DateCodeList, ref SDate, ref CDate);
+
+                // 工事詳細台帳より工期を取得する
+                string strLedger = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
+                ConstructionLedger LedgerRec = new ConstructionLedger();
+                if (!LedgerDB.SelectAction(strLedger, ref LedgerRec, false)) return false;
+
+                // 契約工期開始
+                if (LedgerRec.ConstructionStart > SDate)
+                {
+                    if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.ConstructionPeriodStart
+                                            , SDate, false)) return false;
+                }
+                // 契約工期完了
+                if (LedgerRec.ConstructionEnd < CDate)
+                {
+                    if (!BaseDB.UpdateFeild(m_ConstructionCode, (int)IOConstructionBaseInfo.TableColumn.ConstructionPeriodEnd
+                                        , CDate, false)) return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 日報結合
+        /// <summary>
+        /// 日報結合
+        /// </summary>
+        /// <returns></returns>
+        private bool JoiningDairyData(List<int> DateCodeList,
+                IODailyDataConstruction DailyData1,
+                IODailyDataDetail DailyData2,
+                IODailyDataVehicles DailyData3,
+                IODailyDataMaterials DailyData4,
+                IODailyDataSubcontractors DailyData5,
+                IODailyDataField DailyData6)
+        {
+            try
+            {
+                string[] s_TableName = new string[] { "DAILYDATACONSTRUCTION",
+                                                        "DAILYDATADETAIL",
+                                                        "DAILYDATAVEHICLES",
+                                                        "DAILYDATAMATERIALS",
+                                                        "DAILYDATASUBCONTRACTORS",
+                                                        "DAILYDATAFIELD" };
+
+                string strSelSQL = string.Format("SELECT COUNT(*) FROM {0} WHERE", s_TableName[0]);
+                
+                string strDelSQL = string.Format("DELETE {0} WHERE", s_TableName[0]);
+
+                string strInsSQL = string.Format("INSERT INTO {0}", s_TableName[0]);
+                strInsSQL += " {0} FROM DAILYDATADETAIL WHERE";
+
+                // 検索キー追加
+                for (int i = 0; i < DateCodeList.Count; i++)
+                {
+                    if (i != 0) strSelSQL += " Or";
+                    if (i != 0) strDelSQL += " Or";
+                    if (i != 0) strInsSQL += " Or";
+                    strSelSQL += string.Format(" CONSTRUCTIONCODE = {0}", DateCodeList[i]);
+                    strDelSQL += string.Format(" CONSTRUCTIONCODE = {0}", DateCodeList[i]);
+                    strInsSQL += string.Format(" CONSTRUCTIONCODE = {0}", DateCodeList[i]);
+                }
+
+                // ----- 日報データ更新
+                ArrayList arList = new ArrayList();
+                int DataCount = 0;
+
+                // 工事日報データ更新
+                List<DailyDataConstruction> DailyList = new List<DailyDataConstruction>();
+                string WorkSQL = strSelSQL.Replace(string.Format("SELECT COUNT(*) FROM {0}", s_TableName[0]), "");
+                WorkSQL += " ORDER BY DAILYDATADATE, CONSTRUCTIONCODE";
+                if (!DailyData1.SelectAction(WorkSQL, ref DailyList, false))
+                {
+                    DailyData1.rollback();
+                    return false;
+                }
+                if (DailyList.Count > 0)
+                {
+                    DateTime BreakDate = DateTime.MinValue;
+                    foreach (DailyDataConstruction CurRec in DailyList)
+                    {
+                        if (BreakDate.Date == CurRec.DailyDataDate.Date) continue;
+                        if (!DailyData1.UpdateFeild(CurRec.PersonCode, CurRec.DailyDataDate, CurRec.ConstructionCode,
+                                                        (int)IODailyDataConstruction.DataColumn.ConstructionCode, m_ConstructionCode, false))
+                        {
+                            DailyData1.rollback();
+                            return false;
+                        }
+                        BreakDate = CurRec.DailyDataDate;
+                    }
+
+                    // 残データ削除
+                    arList.Clear();
+                    if (!DailyData1.ExecuteReader(strSelSQL, ref arList, false))
+                    {
+                        DailyData1.rollback();
+                        return false;
+                    }
+                    DataCount = GetDailyDataCount(arList);
+                    if (DataCount > 0)
+                    {
+                        if (!DailyData1.ExecuteNonQuery(strDelSQL, false))
+                        {
+                            DailyData1.rollback();
+                            return false;
+                        }
+                    }
+                }
+
+                // 工事日報データ (明細)
+                strSelSQL = strSelSQL.Replace(s_TableName[0], s_TableName[1]);
+                strInsSQL = strInsSQL.Replace(s_TableName[0], s_TableName[1]);
+                strDelSQL = strDelSQL.Replace(s_TableName[0], s_TableName[1]);
+                
+                string strInsSQL1 = string.Format("SELECT PERSONCODE, DAILYDATADATE, {0},", m_ConstructionCode);
+                strInsSQL1 += " ROW_NUMBER() OVER(PARTITION BY DAILYDATADATE ORDER BY PERSONCODE, DAILYDATADATE, CONSTRUCTIONCODE, SEQNO),";
+                strInsSQL1 += " JOBCATEGORYCODE, COMPANYCODE, TODAYHEADCOUNT, TOTALHEADCOUNT, TODAYWORK, NEXTDAYWORK, NEXTDAYHEADCOUNT, ENTRYDATE, UPDATEDATE";
+
+                arList.Clear();
+                if (!DailyData2.ExecuteReader(strSelSQL, ref arList, false))
+                {
+                    DailyData1.rollback(); DailyData2.rollback();
+                    return false;
+                }
+                DataCount = GetDailyDataCount(arList);
+                if (DataCount > 0)
+                {
+                    if (!DailyData2.ExecuteNonQuery(string.Format(strInsSQL, strInsSQL1), false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback();
+                        return false;
+                    }
+                    if (!DailyData2.ExecuteNonQuery(strDelSQL, false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback();
+                        return false;
+                    }
+                }
+
+                // 工事日報データ (車両)
+                strSelSQL = strSelSQL.Replace(s_TableName[1], s_TableName[2]);
+                strInsSQL = strInsSQL.Replace(s_TableName[1], s_TableName[2]);
+                strDelSQL = strDelSQL.Replace(s_TableName[1], s_TableName[2]);
+
+                string strInsSQL2 = string.Format("SELECT PERSONCODE, DAILYDATADATE, {0},", m_ConstructionCode);
+                strInsSQL2 += " ROW_NUMBER() OVER(PARTITION BY DAILYDATADATE ORDER BY PERSONCODE, DAILYDATADATE, CONSTRUCTIONCODE, SEQNO),";
+                strInsSQL2 += " MODEL, PERFORMANCE, OWNER, DRIVER, STARTWORKINGTIME, ENDWORKINGTIME, ENTRYDATE, UPDATEDATE";
+
+                arList.Clear();
+                if (!DailyData3.ExecuteReader(strSelSQL, ref arList, false))
+                {
+                    DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback();
+                    return false;
+                }
+                DataCount = GetDailyDataCount(arList);
+                if (DataCount > 0)
+                {
+                    if (!DailyData3.ExecuteNonQuery(string.Format(strInsSQL, strInsSQL2), false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback();
+                        return false;
+                    }
+                    if (!DailyData3.ExecuteNonQuery(strDelSQL, false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback();
+                        return false;
+                    }
+                }
+
+                // 工事日報データ (資材)
+                strSelSQL = strSelSQL.Replace(s_TableName[2], s_TableName[3]);
+                strInsSQL = strInsSQL.Replace(s_TableName[2], s_TableName[3]);
+                strDelSQL = strDelSQL.Replace(s_TableName[2], s_TableName[3]);
+
+                string strInsSQL3 = string.Format("SELECT PERSONCODE, DAILYDATADATE, {0},", m_ConstructionCode);
+                strInsSQL3 += " ROW_NUMBER() OVER(PARTITION BY DAILYDATADATE ORDER BY PERSONCODE, DAILYDATADATE, CONSTRUCTIONCODE, SEQNO),";
+                strInsSQL3 += " MATERIALS, QUANTITY, PRODUCTION, DELIVERY, QUALITYCONTROL, ENTRYDATE, UPDATEDATE";
+
+                arList.Clear();
+                if (!DailyData4.ExecuteReader(strSelSQL, ref arList, false))
+                {
+                    DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback();
+                    return false;
+                }
+                DataCount = GetDailyDataCount(arList);
+                if (DataCount > 0)
+                {
+                    if (!DailyData4.ExecuteNonQuery(string.Format(strInsSQL, strInsSQL3), false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback();
+                        return false;
+                    }
+                    if (!DailyData4.ExecuteNonQuery(strDelSQL, false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback();
+                        return false;
+                    }
+                }
+
+                // 工事日報データ (協力業者指示)
+                strSelSQL = strSelSQL.Replace(s_TableName[3], s_TableName[4]);
+                strInsSQL = strInsSQL.Replace(s_TableName[3], s_TableName[4]);
+                strDelSQL = strDelSQL.Replace(s_TableName[3], s_TableName[4]);
+
+                string strInsSQL4 = string.Format("SELECT PERSONCODE, DAILYDATADATE, {0},", m_ConstructionCode);
+                strInsSQL4 += " ROW_NUMBER() OVER(PARTITION BY DAILYDATADATE ORDER BY PERSONCODE, DAILYDATADATE, CONSTRUCTIONCODE, SEQNO),";
+                strInsSQL4 += " ATTENDEE, CONTENTSTEXT, ENTRYDATE, UPDATEDATE";
+
+                arList.Clear();
+                if (!DailyData5.ExecuteReader(strSelSQL, ref arList, false))
+                {
+                    DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback();
+                    return false;
+                }
+                DataCount = GetDailyDataCount(arList);
+                if (DataCount > 0)
+                {
+                    if (!DailyData5.ExecuteNonQuery(string.Format(strInsSQL, strInsSQL4), false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback();
+                        return false;
+                    }
+                    if (!DailyData5.ExecuteNonQuery(strDelSQL, false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback();
+                        return false;
+                    }
+                }
+
+                // 工事日報データ (現場巡回)
+                strSelSQL = strSelSQL.Replace(s_TableName[4], s_TableName[5]);
+                strInsSQL = strInsSQL.Replace(s_TableName[4], s_TableName[5]);
+                strDelSQL = strDelSQL.Replace(s_TableName[4], s_TableName[5]);
+
+                string strInsSQL5 = string.Format("SELECT PERSONCODE, DAILYDATADATE, {0},", m_ConstructionCode);
+                strInsSQL5 += " ROW_NUMBER() OVER(PARTITION BY DAILYDATADATE ORDER BY PERSONCODE, DAILYDATADATE, CONSTRUCTIONCODE, SEQNO),";
+                strInsSQL5 += " PATROLTIME, CONTENTSTEXT, ENTRYDATE, UPDATEDATE";
+
+                arList.Clear();
+                if (!DailyData6.ExecuteReader(strSelSQL, ref arList, false))
+                {
+                    DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback(); DailyData6.rollback();
+                    return false;
+                }
+                DataCount = GetDailyDataCount(arList);
+                if (DataCount > 0)
+                {
+                    if (!DailyData6.ExecuteNonQuery(string.Format(strInsSQL, strInsSQL5), false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback(); DailyData6.rollback();
+                        return false;
+                    }
+                    if (!DailyData6.ExecuteNonQuery(strDelSQL, false))
+                    {
+                        DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback(); DailyData6.rollback();
+                        return false;
+                    }
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                DailyData1.rollback(); DailyData2.rollback(); DailyData3.rollback(); DailyData4.rollback(); DailyData5.rollback(); DailyData6.rollback();
+                return false;
+            }
+        }
+        #endregion
+
+        #region 日報データの件数を取得する
+        /// <summary>
+        /// 日報データの件数を取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetDailyDataCount(ArrayList CntWork)
+        {
+            try
+            {
+                int iRet = 0;
+                object[] objRec = (object[])CntWork[0];
+                iRet = CommonMotions.cnvInt(objRec[0]);
+
+                return iRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 担当者毎経費データ結合
+        /// <summary>
+        /// 担当者毎経費データ結合
+        /// </summary>
+        /// <returns></returns>
+        private bool JoinCostData(List<int> DateCodeList, IOCostDataOfPerson CostDataDB)
+        {
+            try
+            {
+                string strSelSQL = "SELECT COUNT(*) FROM COSTDATAOFPERSON WHERE";
+
+                string strMoveSQL = string.Format("UPDATE COSTDATAOFPERSON SET CONSTRUCTIONCODE = {0} WHERE", m_ConstructionCode);
+                // 検索キー追加
+                for (int i = 0; i < DateCodeList.Count; i++)
+                {
+                    if (i != 0) strSelSQL += " Or";
+                    if (i != 0) strMoveSQL += " Or";
+                    strSelSQL += string.Format(" CONSTRUCTIONCODE = {0}", DateCodeList[i]);
+                    strMoveSQL += string.Format(" CONSTRUCTIONCODE = {0}", DateCodeList[i]);
+                }
+
+                ArrayList arList = new ArrayList();
+                if (!CostDataDB.ExecuteReader(strSelSQL, ref arList, false)) return false;
+                object[] objRec = (object[])arList[0];
+
+                if (CommonMotions.cnvInt(objRec[0]) > 0)
+                {
+                    if (!CostDataDB.ExecuteNonQuery(strMoveSQL, false))
+                    {
+                        CostDataDB.rollback();
+                        return false;
+                    }
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return false;
+            }
+        }
+        #endregion
+    }
+}
